Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Release 2.14

  • Loading branch information...
commit a633ddda2616b17c15fa80e2f835c65a3b946894 1 parent f135575
@gbarr gbarr authored
View
8 Changes
@@ -1,3 +1,11 @@
+Authen-SASL 2.14 -- Thu Mar 11 08:21:07 CST 2010
+
+ * Documentation updates [Yann Kerherve]
+ * Added server API description [Yann Kerherve]
+ * Bugfixes to LOGIN, PLAIN and DIGEST_MD5 [Yann Kerherve]
+ * Added server support for LOGIN, PLAINaand DIGEST_MD5 [Yann Kerherve]
+ * Compatiblity with Authen::SASL::XS [Yann Kerherve]
+
Authen-SASL 2.13 -- Thu Sep 24 17:27:47 CDT 2009
* RT#42191 Only use pass for GSSAPI credentials if it is an object of type GSSAPI::Cred
View
2  lib/Authen/SASL.pm
@@ -8,7 +8,7 @@ use strict;
use vars qw($VERSION @Plugins);
use Carp;
-$VERSION = "2.13";
+$VERSION = "2.14";
@Plugins = qw(
Authen::SASL::XS
View
2  lib/Authen/SASL/CRAM_MD5.pm
@@ -7,7 +7,7 @@ package Authen::SASL::CRAM_MD5;
use strict;
use vars qw($VERSION);
-$VERSION = "0.99";
+$VERSION = "2.14";
sub new {
shift;
View
2  lib/Authen/SASL/EXTERNAL.pm
@@ -7,7 +7,7 @@ package Authen::SASL::EXTERNAL;
use strict;
use vars qw($VERSION);
-$VERSION = "0.99";
+$VERSION = "2.14";
sub new {
shift;
View
2  lib/Authen/SASL/Perl.pm
@@ -8,7 +8,7 @@ use strict;
use vars qw($VERSION);
use Carp;
-$VERSION = "1.07";
+$VERSION = "2.14";
my %secflags = (
noplaintext => 1,
View
2  lib/Authen/SASL/Perl/ANONYMOUS.pm
@@ -7,7 +7,7 @@ package Authen::SASL::Perl::ANONYMOUS;
use strict;
use vars qw($VERSION @ISA);
-$VERSION = "1.03";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
View
2  lib/Authen/SASL/Perl/CRAM_MD5.pm
@@ -8,7 +8,7 @@ use strict;
use vars qw($VERSION @ISA);
use Digest::HMAC_MD5 qw(hmac_md5_hex);
-$VERSION = "1.03";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
View
2  lib/Authen/SASL/Perl/DIGEST_MD5.pm
@@ -14,7 +14,7 @@ use Digest::HMAC_MD5 qw(hmac_md5);
# TODO: complete qop support in server, should be configurable
-$VERSION = "1.07";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
View
2  lib/Authen/SASL/Perl/EXTERNAL.pm
@@ -8,7 +8,7 @@ package Authen::SASL::Perl::EXTERNAL;
use strict;
use vars qw($VERSION @ISA);
-$VERSION = "1.04";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
View
2  lib/Authen/SASL/Perl/LOGIN.pm
@@ -7,7 +7,7 @@ package Authen::SASL::Perl::LOGIN;
use strict;
use vars qw($VERSION @ISA);
-$VERSION = "1.03";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
View
2  lib/Authen/SASL/Perl/PLAIN.pm
@@ -7,7 +7,7 @@ package Authen::SASL::Perl::PLAIN;
use strict;
use vars qw($VERSION @ISA);
-$VERSION = "1.04";
+$VERSION = "2.14";
@ISA = qw(Authen::SASL::Perl);
my %secflags = (
Please sign in to comment.
Something went wrong with that request. Please try again.